> For the complete documentation index, see [llms.txt](https://docs.limio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.limio.com/components/component-library/standard-components/component-section.md).

# Component: Section

**Purpose**: Displays and image, text, and buttons side by side. With the possibility to hide/display the image or button, allowing vast flexibility in your pages.

{% embed url="<https://69c2cf3a42a094f3cd354b8d-hbwumtssfk.chromatic.com/?path=/story/shop-components-layout-section--default&full=1&shortcuts=false&singleStory=true&embed=true>" %}

## Props

| Prop Name                       | Label                    | Type     | Default Value                                                                                                                                                                                                                           | Description                                                          |
| ------------------------------- | ------------------------ | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------- |
| bgColor\_\_limio\_color         | Box background color     | string   | #ECECEC                                                                                                                                                                                                                                 | Background color                                                     |
| wrapperBgColor\_\_limio\_color  | Wrapper background color | string   | #FFFFFF                                                                                                                                                                                                                                 | Wrapper background color                                             |
| image                           | Image                    | string   |                                                                                                                                                                                                                                         | Image displayed                                                      |
| imageShape                      | Image shape              | picklist | ""                                                                                                                                                                                                                                      | <p>Shape of the image<br><br>Options: Rounded, Ciricle, Circular</p> |
| imagePosition                   | Image position           | picklist | left                                                                                                                                                                                                                                    | Options: right, top, bottom, left                                    |
| imageCaption\_\_limio\_richtext | Image caption            | richtext | Lorem ipsum dolor sit amet.                                                                                                                                                                                                             | Caption below the image                                              |
| imageAltText                    | Image Alt Tex            | string   |                                                                                                                                                                                                                                         | The alt text of the image, for improved accessibility                |
| showButtons                     | Show buttons             | boolean  | true                                                                                                                                                                                                                                    | If true the buttons will be visible                                  |
| buttons                         | Buttons                  | list     | <p>"buttonText": "Learn More",<br><br>"buttonLocation": "<https://limio.com>"</p>                                                                                                                                                       | Fields: Button Text, Button link                                     |
| header                          | Header                   | string   | Lorem ipsum dolor sit amet.                                                                                                                                                                                                             | Header text                                                          |
| text\_\_limio\_richtext         | Text                     | richtext | Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. | Main text                                                            |
| secondaryTextImage              | Secondary image          | string   | ""                                                                                                                                                                                                                                      |                                                                      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.limio.com/components/component-library/standard-components/component-section.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
